clear;
SW1 = readmatrix('CW1.csv','Range','Q:R');
SW2 = readmatrix('CW2.csv','Range','Q:R');
SW3 = readmatrix('CW3.csv','Range','Q:R');
SWAvg = (SW1+SW2+SW3)/3;
writematrix(SWAvg,'averagedData.csv');

figure('Name','1');
plot(SW1(:,1),SW1(:,2));
title('Curved Waveguide Sweep 1')
xlabel('Wavelength [nm]') 
ylabel('Power [dBm]') 

figure('Name','2');
plot(SW2(:,1),SW2(:,2));
title('Curved Waveguide Sweep 2')
xlabel('Wavelength [nm]') 
ylabel('Power [dBm]') 

figure('Name','3');
plot(SW3(:,1),SW3(:,2));
title('Curved Waveguide Sweep 3')
xlabel('Wavelength [nm]') 
ylabel('Power [dBm]') 

figure('Name','SWAvg');
plot(SWAvg(:,1),SWAvg(:,2));
title('Curved Waveguide Averaged')
xlabel('Wavelength [nm]') 
ylabel('Power [dBm]') 