clear;
SW1 = readmatrix('SW1.csv','Range','Q:R');
SW2 = readmatrix('SW2.csv','Range','Q:R');
SW3 = readmatrix('SW3.csv','Range','Q:R');
SWAvg = (SW1+SW2+SW3)/3;
writematrix(SWAvg,'averagedData.csv');

figure('Name','SW1');
plot(SW1(:,1),SW1(:,2));
title('Straight Waveguide Sweep 1')
xlabel('Wavelength [nm]') 
ylabel('Power [dBm]') 

figure('Name','SW2');
plot(SW2(:,1),SW2(:,2));
title('Straight Waveguide Sweep 2')
xlabel('Wavelength [nm]') 
ylabel('Power [dBm]') 

figure('Name','SW3');
plot(SW3(:,1),SW3(:,2));
title('Straight Waveguide Sweep 3')
xlabel('Wavelength [nm]') 
ylabel('Power [dBm]') 

figure('Name','SWAvg');
plot(SWAvg(:,1),SWAvg(:,2));
title('Straight Waveguide Averaged')
xlabel('Wavelength [nm]') 
ylabel('Power [dBm]') 